Index: /trunk/src/lib/gui/gl/glgui_bar.cc
===================================================================
--- /trunk/src/lib/gui/gl/glgui_bar.cc	(revision 8971)
+++ /trunk/src/lib/gui/gl/glgui_bar.cc	(revision 8972)
@@ -55,4 +55,12 @@
   }
 
+  void GLGuiBar::resize()
+  {
+    GLGuiWidget::resize();
+
+
+  }
+
+
   /**
    * @brief draws the GLGuiBar
@@ -60,21 +68,8 @@
   void GLGuiBar::draw() const
   {
+    printf("BAR\n");
     this->beginDraw();
-
     GLGuiWidget::draw();
 
-    //this->frontMaterial().select();
-    glBegin(GL_QUADS);
-
-    glTexCoord2f(0,0);
-    glVertex2f(3.0, 3.0);
-    glTexCoord2f(0, value/maximum);
-    glVertex2f(3.0, (this->getSizeY2D()-3.0)* (value/maximum));
-    glTexCoord2f(1, value/maximum);
-    glVertex2f(this->getSizeX2D()-3.0, (this->getSizeY2D()-3.0) * (value/maximum));
-    glTexCoord2f(1,0);
-    glVertex2f(this->getSizeX2D()-3.0, 3.0);
-
-    glEnd();
     this->endDraw();
   }
Index: /trunk/src/lib/gui/gl/glgui_bar.h
===================================================================
--- /trunk/src/lib/gui/gl/glgui_bar.h	(revision 8971)
+++ /trunk/src/lib/gui/gl/glgui_bar.h	(revision 8972)
@@ -37,4 +37,7 @@
     virtual void draw() const;
 
+  protected:
+    virtual void resize();
+
   private:
     void init();
Index: /trunk/src/lib/gui/gl/glgui_text.h
===================================================================
--- /trunk/src/lib/gui/gl/glgui_text.h	(revision 8971)
+++ /trunk/src/lib/gui/gl/glgui_text.h	(revision 8972)
@@ -9,7 +9,6 @@
 
 #include "glgui_widget.h"
-
+#include "text.h"
 // FORWARD DECLARATION
-class Text;
 namespace OrxGui
 {
@@ -19,5 +18,5 @@
    *
    */
-  class GLGuiText : public GLWidget
+  class GLGuiText : public GLGuiWidget
   {
 
@@ -35,5 +34,5 @@
 
   private:
-    Text*             text;
+    Text              text;
   };
 }
Index: /trunk/src/util/hud.h
===================================================================
--- /trunk/src/util/hud.h	(revision 8971)
+++ /trunk/src/util/hud.h	(revision 8972)
@@ -19,5 +19,5 @@
 }
 
-//! A class that renders a HUD.
+//! A class that renders a HUD (Heads Up Display for User Information).
 class Hud : public Element2D
 {
Index: /trunk/src/world_entities/Makefile.am
===================================================================
--- /trunk/src/world_entities/Makefile.am	(revision 8971)
+++ /trunk/src/world_entities/Makefile.am	(revision 8972)
@@ -29,5 +29,8 @@
 		\
 		effects/explosion.cc \
-		effects/billboard.cc
+		effects/billboard.cc \
+		\
+		\
+		elements/glgui_energywidget.cc
 
 
@@ -59,4 +62,7 @@
 		effects/billboard.h \
 		\
+		\
+		\
+		elements/glgui_energywidget.h \
 		$(WorldEntities_HEADERS_)
 
Index: /trunk/src/world_entities/elements/glgui_energywidget.cc
===================================================================
--- /trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 8972)
+++ /trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 8972)
@@ -0,0 +1,39 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "glgui_energywidget.h"
+
+namespace OrxGui
+{
+  /**
+   * @brief standard constructor
+   * @todo this constructor is not jet implemented - do it
+  */
+  GLGuiEnergyWidget::GLGuiEnergyWidget ()
+  {
+    //   this->setClassID(CL_PROTO_ID, "GLGuiEnergyWidget");
+  }
+
+
+  /**
+   * @brief standard deconstructor
+   */
+  GLGuiEnergyWidget::~GLGuiEnergyWidget ()
+  {
+    // delete what has to be deleted here
+  }
+}
Index: /trunk/src/world_entities/elements/glgui_energywidget.h
===================================================================
--- /trunk/src/world_entities/elements/glgui_energywidget.h	(revision 8972)
+++ /trunk/src/world_entities/elements/glgui_energywidget.h	(revision 8972)
@@ -0,0 +1,31 @@
+/*!
+ * @file glgui_energywidget.h
+ * @brief Definition of an EnergyWidget, that displays a bar and a Text
+*/
+
+#ifndef _GLGUI_ENERGY_WIDGET_H
+#define _GLGUI_ENERGY_WIDGET_H
+
+#include "glgui_widget.h"
+#include "glgui_bar.h"
+#include "glgui_text.h"
+
+namespace OrxGui
+{
+
+  //! A class for ...
+  class GLGuiEnergyWidget : public GLGuiWidget
+  {
+
+    public:
+    GLGuiEnergyWidget();
+    virtual ~GLGuiEnergyWidget();
+
+
+    private:
+      GLGuiBar                bar;
+      GLGuiText               text;
+
+  };
+}
+#endif /* _GLGUI_ENERGY_WIDGET_H */
Index: /trunk/src/world_entities/world_entity.cc
===================================================================
--- /trunk/src/world_entities/world_entity.cc	(revision 8971)
+++ /trunk/src/world_entities/world_entity.cc	(revision 8972)
@@ -41,8 +41,4 @@
 #include "kill.h"
 
-#include <stdarg.h>
-
-
-using namespace std;
 
 SHELL_COMMAND(model, WorldEntity, loadModel)