Index: code/branches/presentation2011/data/levels/FPSTest.oxw
===================================================================
--- code/branches/presentation2011/data/levels/FPSTest.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/FPSTest.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Level to test First Person Shooter"
  tags = "test"
+ screenshot = "fpstestlevel.png"
 />
 
@@ -14,8 +15,5 @@
 ?>
 
-<Level
- name         = "fps"
- description  = "tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/asteroids.oxw
===================================================================
--- code/branches/presentation2011/data/levels/asteroids.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/asteroids.oxw	(revision 8977)
@@ -1,2 +1,9 @@
+<LevelInfo
+ name = "Asteroids Race"
+ description = "Reach the checkpoints and avoid asteroids."
+ tags = "gametype"
+ screenshot = "asteroids.png"
+/>
+
 <?lua
   include("HUDTemplates3.oxo")
@@ -7,7 +14,5 @@
 
 <Level
- name         = "Asteroids Race"
- description  = "testmap for gametype asteroid race"
- gametype     =  Asteroids
+ gametype = "Asteroids"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/docking.oxw
===================================================================
--- code/branches/presentation2011/data/levels/docking.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/docking.oxw	(revision 8977)
@@ -2,5 +2,6 @@
  name = "Transporter"
  description = "Level with a Transporter. Demonstrates the docking system."
- tags = ""
+ tags = "showcase"
+ screenshot = "transporter.png"
 />
 
@@ -12,8 +13,5 @@
 ?>
 
-<Level
- name         = "Transporter"
- description  = "Docking example level"
->
+<Level>
   <templates>
     <Template link="lodtemplate_default" />
Index: code/branches/presentation2011/data/levels/dynamicMatch.oxw
===================================================================
--- code/branches/presentation2011/data/levels/dynamicMatch.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/dynamicMatch.oxw	(revision 8977)
@@ -1,2 +1,9 @@
+<LevelInfo
+ name = "Dynamic Match"
+ description = "Dynamicmatch: Take care of what you're shooting at."
+ tags = "gametype"
+ screenshot = "dynamicMatch.png"
+/>
+
 <?lua
   include("HUDTemplates3.oxo")
@@ -9,7 +16,5 @@
 
 <Level
- name         = "Dynamic Match"
- description  = "In progress -level for dynamicmatch"
- gametype     = "Dynamicmatch"
+ gametype = "Dynamicmatch"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/earth.oxw
===================================================================
--- code/branches/presentation2011/data/levels/earth.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/earth.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "1:100 Scale Model of Earth with Gravity"
  tags = "showcase"
+ screenshot = "earthdemonstration.png"
 />
 
@@ -12,8 +13,5 @@
 ?>
 
-<Level
- name         = "Planet Earth"
- description  = "1:100 Scale Model of Earth with Gravity"
->
+<Level>
   <templates>
     <Template link="lodtemplate_default" />
Index: code/branches/presentation2011/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/presentation2011/data/levels/emptyLevel.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/emptyLevel.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "A level with absolutely nothing in it."
  tags = "test"
+ screenshot = "emptylevel.png"
 />
 
@@ -16,8 +17,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/events.oxw
===================================================================
--- code/branches/presentation2011/data/levels/events.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/events.oxw	(revision 8977)
@@ -2,5 +2,6 @@
   name = "Events showcase"
   description = "Level to test and showcase events."
-  tags = "test, showcase" 
+  tags = "test, showcase"
+  screenshot = "eventsshowcase.png"
 />
 
@@ -13,8 +14,5 @@
 ?>
 
-<Level
- name         = "Event testing"
- description  = "A simple level to test the event-system (with comments)"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/lastManStanding.oxw
===================================================================
--- code/branches/presentation2011/data/levels/lastManStanding.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/lastManStanding.oxw	(revision 8977)
@@ -2,5 +2,6 @@
  name = "Last Man Standing"
  description = "Be the sole survivor."
- tags = ""
+ tags = "gametype"
+ screenshot = "lastmanstanding.png"
 />
 
@@ -16,7 +17,5 @@
 
 <Level
- name         = "Last Man Standing"
- description  = "testmap for gametype last man standing"
- gametype     =  "LastManStanding"
+ gametype = "LastManStanding"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/lastTeamStanding.oxw
===================================================================
--- code/branches/presentation2011/data/levels/lastTeamStanding.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/lastTeamStanding.oxw	(revision 8977)
@@ -2,5 +2,6 @@
  name = "Last Team Standing"
  description = "Survive as a team."
- tags = "singleplayer"
+ tags = "gametype"
+ screenshot = "lastteamstanding.png"
 />
 <?lua
@@ -15,7 +16,5 @@
 
 <Level
- name         = "Last Team Standing"
- description  = "testmap for gametype last team standing"
- gametype     =  "LastTeamStanding"
+ gametype = "LastTeamStanding"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/myTestLevel.oxw
===================================================================
--- code/branches/presentation2011/data/levels/myTestLevel.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/myTestLevel.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "A level to test the Class SpaceBoundaries."
  tags = "test"
+ screenshot = "mytestlevel.png"
 />
 
@@ -16,8 +17,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/notifications.oxw
===================================================================
--- code/branches/presentation2011/data/levels/notifications.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/notifications.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Level to test and showcase notifications."
  tags = "test, showcase"
+ screenshot = "notificationsshowcase.png"
 />
 
@@ -12,8 +13,5 @@
 ?>
 
-<Level
- name         = "Presentation"
- description  = "A simple testlevel"
->
+<Level>
     <templates>
         <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/pickups.oxw
===================================================================
--- code/branches/presentation2011/data/levels/pickups.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/pickups.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Level to test and showcase pickups."
  tags = "test, showcase"
+ screenshot = "pickupsshowcase.png"
 />
 
@@ -16,8 +17,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/pirateAttack.oxw
===================================================================
--- code/branches/presentation2011/data/levels/pirateAttack.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/pirateAttack.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Dani's Testlevel"
  tags = "test"
+ screenshot = "pirateattack.png"
 />
 
@@ -26,7 +27,5 @@
     
 <Level
-name="Dani's Testlevel"
-description="Erste Versuche mit den Quests"
-gametype=TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
 
Index: code/branches/presentation2011/data/levels/planets.oxw
===================================================================
--- code/branches/presentation2011/data/levels/planets.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/planets.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Demonstration of Planets"
  tags = "showcase"
+ screenshot = "planetdemonstration.png"
 />
 
@@ -12,8 +13,5 @@
 ?>
 
-<Level
- name         = "Planet"
- description  = "Demonstration of Planets"
->
+<Level>
   <templates>
     <Template link="lodtemplate_default" />
Index: code/branches/presentation2011/data/levels/pong.oxw
===================================================================
--- code/branches/presentation2011/data/levels/pong.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/pong.oxw	(revision 8977)
@@ -2,5 +2,6 @@
  name = "Pong"
  description = "Pong in space!"
- tags = ""
+ tags = "minigame"
+ screenshot = "pong.png"
 />
 
@@ -49,7 +50,5 @@
 
 <Level
- name         = "Presentation"
- description  = "A simple testlevel"
- gametype     = Pong
+ gametype = "Pong"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/portals.oxw
===================================================================
--- code/branches/presentation2011/data/levels/portals.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/portals.oxw	(revision 8977)
@@ -3,5 +3,6 @@
  name = "Portals"
  description = "Level for testing portals"
- tags = "tutorial"
+ tags = "test"
+ screenshot = "portals.png"
 />
 
@@ -14,8 +15,5 @@
 ?>
 
-<Level
- name         = "Presentation"
- description  = "A simple testlevel"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/presentation.oxw
===================================================================
--- code/branches/presentation2011/data/levels/presentation.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/presentation.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Presentation Level"
  tags = "presentation"
+ screenshot = "presentation.png"
 />
 
@@ -12,8 +13,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/presentation09.oxw
===================================================================
--- code/branches/presentation2011/data/levels/presentation09.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/presentation09.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "3rd Presentation level for Orxonox Convention X"
  tags = "presentation"
+ screenshot = "presentationx3rd.png"
 />
 
@@ -13,9 +14,5 @@
 ?>
 
-<Level
- name         = "Presentation09"
- description  = "presentation level for Orxonox Convention X"
-
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/presentation09b.oxw
===================================================================
--- code/branches/presentation2011/data/levels/presentation09b.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/presentation09b.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "2nd Presentation level for Orxonox Convention X"
  tags = "presentation"
+ screenshot = "presentationx2.png"
 />
 
@@ -16,7 +17,5 @@
 
 <Level
- name         = "Presentation09"
- description  = "presentation level for Orxonox Convention X"
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/presentationDM.oxw
===================================================================
--- code/branches/presentation2011/data/levels/presentationDM.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/presentationDM.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Presentation Level"
  tags = "presentation"
+ screenshot = "presentationdm.png"
 />
 
@@ -14,7 +15,5 @@
 
 <Level
- name         = "Presentation"
- description  = "A simple testlevel"
- gametype     = Deathmatch
+ gametype = "Deathmatch"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/presentationFS10.oxw
===================================================================
--- code/branches/presentation2011/data/levels/presentationFS10.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/presentationFS10.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "1st Presentation level for Orxonox Convention XI"
  tags = "presentation"
+ screenshot = "presentationxi.png"
 />
 
@@ -19,7 +20,5 @@
 
 <Level
- name         = "Sample"
- description  = "Just a few tests"
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/presentationFS102.oxw
===================================================================
--- code/branches/presentation2011/data/levels/presentationFS102.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/presentationFS102.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "2nd Presentation level for Orxonox Convention XI, FPS"
  tags = "presentation"
+ screenshot = "presentationxifps1st.png"
 />
 
@@ -14,8 +15,5 @@
 ?>
 
-<Level
- name         = "fps"
- description  = "tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/presentationFS10Ed.oxw
===================================================================
--- code/branches/presentation2011/data/levels/presentationFS10Ed.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/presentationFS10Ed.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "3rd Presentation level for Orxonox Convention XI, FPS"
  tags = "presentation"
+ screenshot = "presentationxifps2nd.png"
 />
 
@@ -14,8 +15,5 @@
 ?>
 
-<Level
- name         = "fps"
- description  = "tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/presentationFS11.oxw
===================================================================
--- code/branches/presentation2011/data/levels/presentationFS11.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/presentationFS11.oxw	(revision 8977)
@@ -2,5 +2,6 @@
  name = "Presentation FS11"
  description = "Presentation level spring semester '11"
- tags = "test"
+ tags = "presentation"
+ screenshot = "presentationfs11.png"
 />
 
@@ -21,8 +22,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/presentationHS09.oxw
===================================================================
--- code/branches/presentation2011/data/levels/presentationHS09.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/presentationHS09.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "1st Presentation level for Orxonox Convention X"
  tags = "presentation"
+ screenshot = "presentationx1st.png"
 />
 
@@ -16,7 +17,5 @@
 
 <Level
- name         = "Presentation09"
- description  = "presentation level for Orxonox Convention X"
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
  hasPhysics = true
 >
Index: code/branches/presentation2011/data/levels/presentationHS09b.oxw
===================================================================
--- code/branches/presentation2011/data/levels/presentationHS09b.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/presentationHS09b.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "2nd Presentation level for Orxonox Convention X"
  tags = "presentation"
+ screenshot = "presentationx2nd.png"
 />
 
@@ -22,7 +23,5 @@
 
 <Level
- name         = "Sample"
- description  = "Just a few tests"
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/princessAeryn.oxw
===================================================================
--- code/branches/presentation2011/data/levels/princessAeryn.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/princessAeryn.oxw	(revision 8977)
@@ -2,5 +2,6 @@
  name = "The Tale of Princess Aeryn"
  description = "The Tale of the elusive but beautiful Princess Aeryn"
- tags = ""
+ tags = "mission"
+ screenshot = "thetaleofprincessaeryn.png"
 />
 
@@ -16,8 +17,5 @@
 ?>
 
-<Level
- name     = "The Tale of Princess Aeryn"
- description  = "The Tale of Princess Aeryn"
->
+<Level>
 
   <templates>
Index: code/branches/presentation2011/data/levels/quests.oxw
===================================================================
--- code/branches/presentation2011/data/levels/quests.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/quests.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Level to test and showcase quests."
  tags = "test, showcase"
+ screenshot = "questsshowcase.png"
 />
 
@@ -12,8 +13,5 @@
 ?>
 
-<Level
- name         = "Questsystem"
- description  = "Just a few tests"
->
+<Level>
     <templates>
         <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/screenshot.oxw
===================================================================
--- code/branches/presentation2011/data/levels/screenshot.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/screenshot.oxw	(revision 8977)
@@ -2,5 +2,6 @@
  name = "Screenshot"
  description = "Level to make awesome screenshots in."
- tags = "test"
+ tags = "test, showcase"
+ screenshot = "screenshot.png"
 />
 
@@ -15,7 +16,5 @@
 
 <Level
- name         = "Waypoints"
- description  = "Testing waypoings for AI controlled spaceships."
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/shieldTest.oxw
===================================================================
--- code/branches/presentation2011/data/levels/shieldTest.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/shieldTest.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "A simple Level with one shielded drone to shoot at"
  tags = "test"
+ screenshot = "shieldtestlevel.png"
 />
 
@@ -12,8 +13,5 @@
 ?>
 
-<Level
- name         = "shieldTL"
- description  = "LEVEL-DESCRIPTION"
->
+<Level>
 
 <templates>
Index: code/branches/presentation2011/data/levels/sound.oxw
===================================================================
--- code/branches/presentation2011/data/levels/sound.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/sound.oxw	(revision 8977)
@@ -2,5 +2,6 @@
  name = "Sound showcase"
  description = "Level to test and showcase sound."
- tags = "test"
+ tags = "test, showcase"
+ screenshot = "soundshowcase.png"
 />
 
@@ -16,8 +17,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/spaceRace.oxw
===================================================================
--- code/branches/presentation2011/data/levels/spaceRace.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/spaceRace.oxw	(revision 8977)
@@ -1,6 +1,7 @@
 <LevelInfo
  name = "Space Race"
- description = "Test level for the gametype Space Race."
- tags = "test"
+ description = "Have a furious Race in Space: Reach the checkpoints as fast as possible."
+ tags = "gametype"
+ screenshot = "spacerace.png"
 />
 
@@ -17,7 +18,5 @@
 
 <Level
- name         = "Space Race"
- description  = "Test level for the gametype Space Race."
- gametype     = SpaceRace
+ gametype = "SpaceRace"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/teamBaseMatch.oxw
===================================================================
--- code/branches/presentation2011/data/levels/teamBaseMatch.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/teamBaseMatch.oxw	(revision 8977)
@@ -1,6 +1,7 @@
 <LevelInfo
  name = "Teambase Match"
- description = "Fight for the bases."
- tags = ""
+ description = "Fight for the bases. Capture bases by shooting at them and defend them against attackers."
+ tags = "gametype"
+ screenshot = "teambasematch.png"
 />
 
@@ -15,7 +16,5 @@
 
 <Level
- name         = "Presentation"
- description  = "A simple testlevel"
- gametype     = TeamBaseMatch
+ gametype = "TeamBaseMatch"
 >
 
Index: code/branches/presentation2011/data/levels/teamDeathMatch.oxw
===================================================================
--- code/branches/presentation2011/data/levels/teamDeathMatch.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/teamDeathMatch.oxw	(revision 8977)
@@ -2,5 +2,6 @@
  name = "Team Deathmatch"
  description = "Fight against each other in teams."
- tags = ""
+ tags = "gametype"
+ screenshot = "teamdeathmatch.png"
 />
 
@@ -15,7 +16,5 @@
 
 <Level
- name         = "Waypoints"
- description  = "Testing waypoings for AI controlled spaceships."
- gametype     = TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/testStars.oxw
===================================================================
--- code/branches/presentation2011/data/levels/testStars.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/testStars.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Level to test stars"
  tags = "test"
+ screenshot = "starstestlevel.png"
 />
 
@@ -16,8 +17,5 @@
 ?>
 
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/testSwallow.oxw
===================================================================
--- code/branches/presentation2011/data/levels/testSwallow.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/testSwallow.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Level to test the swallow spaceship."
  tags = "test"
+ screenshot = "swallowtestlevel.png"
 />
 
@@ -13,9 +14,5 @@
 ?>
 
-<Level
- name         = "Presentation_swallow"
- description  = "presentation level for Orxonox Convention X"
-
->
+<Level>
 
   <templates>
Index: code/branches/presentation2011/data/levels/tetris.oxw
===================================================================
--- code/branches/presentation2011/data/levels/tetris.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/tetris.oxw	(revision 8977)
@@ -2,5 +2,6 @@
  name = "Tetris"
  description = "Tetris in space!"
- tags = ""
+ tags = "minigame"
+ screenshot = "tetris.png"
 />
 
@@ -30,7 +31,5 @@
 
 <Level
- name         = "Presentation"
- description  = "A simple testlevel"
- gametype     = "Tetris"
+ gametype = "Tetris"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/theTimeMachine.oxw
===================================================================
--- code/branches/presentation2011/data/levels/theTimeMachine.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/theTimeMachine.oxw	(revision 8977)
@@ -2,5 +2,6 @@
  name = "The Time Machine"
  description = "A simple level. The only goal is to defeat as much enemies as you can."
- tags = "singleplayer"
+ tags = "gametype"
+ screenshot = "thetimemachine.png"
 />
 
@@ -61,7 +62,5 @@
 
 <Level
-    name="The Time Machine"
-    description="A simple level. The only goal is to defeat as much enemies as you can."
-    gametype=TeamDeathmatch
+ gametype = "TeamDeathmatch"
 >
     <templates>
Index: code/branches/presentation2011/data/levels/tutorial.oxw
===================================================================
--- code/branches/presentation2011/data/levels/tutorial.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/tutorial.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Level for the coding tutorial."
  tags = "tutorial"
+ screenshot = "codingtutorial.png"
 />
 
@@ -12,8 +13,5 @@
 ?>
 
-<Level
- name         = "Presentation"
- description  = "A simple testlevel"
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/presentation2011/data/levels/underAttack.oxw
===================================================================
--- code/branches/presentation2011/data/levels/underAttack.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/underAttack.oxw	(revision 8977)
@@ -1,2 +1,9 @@
+<LevelInfo
+ name = "Under Attack"
+ description = "Fight the transporter."
+ tags = "gametype"
+ screenshot = "underattack.png"
+/>
+
 <?lua
   include("HUDTemplates3.oxo")
@@ -8,7 +15,5 @@
 
 <Level
- name         = "UnderAttack testing"
- description  = "A simple testlevel"
- gametype     = UnderAttack
+ gametype = "UnderAttack"
 >
   <templates>
Index: code/branches/presentation2011/data/levels/waypoints.oxw
===================================================================
--- code/branches/presentation2011/data/levels/waypoints.oxw	(revision 8976)
+++ code/branches/presentation2011/data/levels/waypoints.oxw	(revision 8977)
@@ -3,4 +3,5 @@
  description = "Testing waypoings for AI controlled spaceships."
  tags = "test"
+ screenshot = "waypointstestlevel.png"
 />
 
@@ -14,8 +15,5 @@
 ?>
 
-<Level
- name         = "Waypoints"
- description  = "Testing waypoings for AI controlled spaceships."
->
+<Level>
   <templates>
     <Template link=lodtemplate_default />