Index: /trunk/src/lib/graphics/text_engine/limited_width_text.h
===================================================================
--- /trunk/src/lib/graphics/text_engine/limited_width_text.h	(revision 8979)
+++ /trunk/src/lib/graphics/text_engine/limited_width_text.h	(revision 8980)
@@ -26,5 +26,5 @@
     // Setup:
     void setLineWidth(float lineWidth);
-    void setDotsPosition(DotsPosition dotsPosition);
+    void setDotsPosition(LimitedWidthText::DotsPosition dotsPosition);
 
     // Retrieve:
Index: /trunk/src/lib/gui/gl/glgui_text.cc
===================================================================
--- /trunk/src/lib/gui/gl/glgui_text.cc	(revision 8979)
+++ /trunk/src/lib/gui/gl/glgui_text.cc	(revision 8980)
@@ -48,4 +48,6 @@
     this->_text.setRelCoor2D(4,4);
     this->_text.setFont("fonts/final_frontier.ttf", 20);
+    this->_text.setLineWidth(400);
+    this->_text.setDotsPosition(LimitedWidthText::Begin);
     this->_text.setColor(foregroundColor());
     this->_text.setVisibility(false);
@@ -122,4 +124,5 @@
     this->_text.setRelCoor2D(borderLeft(), borderTop());
     this->setSize2D( this->_text.getSize2D() + Vector2D(borderLeft() + borderRight(), borderTop() + borderBottom()));
+    //this->_text.setLineWidth(this->size2D);
     GLGuiWidget::resize();
     /*    this->frontRect().setTopLeft(borderLeft(), borderTop());
Index: /trunk/src/lib/gui/gl/glgui_text.h
===================================================================
--- /trunk/src/lib/gui/gl/glgui_text.h	(revision 8979)
+++ /trunk/src/lib/gui/gl/glgui_text.h	(revision 8980)
@@ -9,5 +9,5 @@
 
 #include "glgui_widget.h"
-#include "text.h"
+#include "limited_width_text.h"
 // FORWARD DECLARATION
 namespace OrxGui
@@ -31,4 +31,6 @@
     void clear();
 
+    void setDotsPosition(LimitedWidthText::DotsPosition dotsPosition) { this->_text.setDotsPosition(dotsPosition); };
+
     const std::string& text() const { return _text.text(); };
 
@@ -50,5 +52,5 @@
 
   private:
-    Text              _text;
+    LimitedWidthText    _text;
   };
 }
Index: /trunk/src/world_entities/elements/glgui_energywidget.cc
===================================================================
--- /trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 8979)
+++ /trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 8980)
@@ -27,8 +27,15 @@
   {
     //   this->setClassID(CL_PROTO_ID, "GLGuiEnergyWidget");
+    this->pack(&this->_name);
+    this->pack(&this->_valueText);
+    this->pack(&this->_bar);
 
-    this->pack(&this->name);
-    this->pack(&this->text);
-    this->pack(&this->bar);
+    this->setBackgroundTexture("maps/gui_element_background_2.png");
+    this->setBackgroundColor(Color(.5,.5,.5,1));
+
+    this->_name.setBackgroundTexture(Texture());
+    this->_valueText.setBackgroundTexture("maps/gui_element_background_2.png");
+    this->_valueText.setBackgroundTexture("maps/gui_element_background_2.png");
+    this->_bar.setBackgroundTexture(Texture());
   }
 
@@ -45,10 +52,10 @@
   void GLGuiEnergyWidget::setDisplayedName(const std::string& name)
   {
-    this->name.setText(name);
+    this->_name.setText(name);
   }
 
   void GLGuiEnergyWidget::setMaximum(float max)
   {
-    this->bar.setMaximum(max);
+    this->_bar.setMaximum(max);
   }
 
@@ -58,6 +65,6 @@
     val.setType(MT_INT);
 
-    this->bar.setValue(value);
-    this->text.setText(val.getString());
+    this->_bar.setValue(value);
+    this->_valueText.setText(val.getString());
   }
 
@@ -65,14 +72,14 @@
   void GLGuiEnergyWidget::showing()
   {
-    this->name.show();
-    this->text.show();
-    this->bar.show();
+    this->_name.show();
+    this->_valueText.show();
+    this->_bar.show();
   }
 
   void GLGuiEnergyWidget::hiding()
   {
-    this->name.hide();
-    this->text.hide();
-    this->bar.hide();
+    this->_name.hide();
+    this->_valueText.hide();
+    this->_bar.hide();
   }
 }
Index: /trunk/src/world_entities/elements/glgui_energywidget.h
===================================================================
--- /trunk/src/world_entities/elements/glgui_energywidget.h	(revision 8979)
+++ /trunk/src/world_entities/elements/glgui_energywidget.h	(revision 8980)
@@ -32,7 +32,7 @@
 
   private:
-    GLGuiText               name;
-    GLGuiBar                bar;
-    GLGuiText               text;
+    GLGuiText               _name;
+    GLGuiBar                _bar;
+    GLGuiText               _valueText;
 
   };