Index: code/branches/presentation2011/data/gui/scripts/MiscConfigMenu.lua
===================================================================
--- code/branches/presentation2011/data/gui/scripts/MiscConfigMenu.lua	(revision 8987)
+++ code/branches/presentation2011/data/gui/scripts/MiscConfigMenu.lua	(revision 8988)
@@ -36,4 +36,6 @@
     table.insert(P.commandList, "ChatOverlay displayTime_")
     table.insert(P.commandList, "Core bDevMode_")
+    table.insert(P.commandList, "HUDNavigation MarkerLimit_")
+    table.insert(P.commandList, "HUDNavigation showDistance")
 
     P.nameList = {}
@@ -56,4 +58,6 @@
     table.insert(P.nameList, "Chat: display time")
     table.insert(P.nameList, "Developer's Mode")
+    table.insert(P.nameList, "Marker Limit")
+    table.insert(P.nameList, "Show Distance next to cursor")
 
     P.linesList = {}
Index: code/branches/presentation2011/data/levels/underAttack.oxw
===================================================================
--- code/branches/presentation2011/data/levels/underAttack.oxw	(revision 8987)
+++ code/branches/presentation2011/data/levels/underAttack.oxw	(revision 8988)
@@ -56,4 +56,5 @@
       maxhealth         = 10000
       initialhealth     = 10000
+      RVName            = "Transporter"
     >
 
Index: code/branches/presentation2011/data/overlays/HUDTemplates3.oxo
===================================================================
--- code/branches/presentation2011/data/overlays/HUDTemplates3.oxo	(revision 8987)
+++ code/branches/presentation2011/data/overlays/HUDTemplates3.oxo	(revision 8988)
@@ -78,4 +78,25 @@
     </HUDBoostBar>
 
+    <HUDEnemyHealthBar
+     name              = "EnemyHealthBar"
+     background        = "Orxonox/HealthBarBackground"
+     size              = "0.35, 0.0875"
+     position          = "1.0 , 0.1 "
+     pickpoint         = "1, 1"
+     bartexture        = "healthbar_bar.png"
+     textfont          = "VeraMono"
+     textusebarcolour  = true
+     textsize          = 0.039
+     textoffset        = "0.315, 0.05"
+     textpickpoint     = "0, 0"
+     textalign         = "right"
+     correctaspect     = false
+     textcorrectaspect = false
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDEnemyHealthBar>
+
     <HUDNavigation
      name          = "Navigation"
Index: code/branches/presentation2011/src/modules/overlays/hud/CMakeLists.txt
===================================================================
--- code/branches/presentation2011/src/modules/overlays/hud/CMakeLists.txt	(revision 8987)
+++ code/branches/presentation2011/src/modules/overlays/hud/CMakeLists.txt	(revision 8988)
@@ -7,4 +7,5 @@
   HUDHealthBar.cc
   HUDTimer.cc
+  HUDEnemyHealthBar.cc
   ChatOverlay.cc
   AnnounceMessage.cc
Index: code/branches/presentation2011/src/modules/overlays/hud/HUDHealthBar.h
===================================================================
--- code/branches/presentation2011/src/modules/overlays/hud/HUDHealthBar.h	(revision 8987)
+++ code/branches/presentation2011/src/modules/overlays/hud/HUDHealthBar.h	(revision 8988)
@@ -110,4 +110,9 @@
                 { return this->textoverlay_->getSpaceWidth(); }
 
+            inline void setOverlayText(SmartPtr<OverlayText> textoverlay)
+                { this->textoverlay_ = textoverlay; }
+            inline SmartPtr<OverlayText> getOverlayText() const
+                {return this->textoverlay_; }
+
         private:
             WeakPtr<Pawn> owner_;
Index: code/branches/presentation2011/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/presentation2011/src/modules/overlays/hud/HUDNavigation.cc	(revision 8987)
+++ code/branches/presentation2011/src/modules/overlays/hud/HUDNavigation.cc	(revision 8988)
@@ -25,4 +25,5 @@
  *      Reto Grieder
  *      Oliver Scheuss
+ *      Matthias Spalinger
  *
  */
@@ -63,5 +64,5 @@
 {
   SetConfigValue(markerLimit_, 3);
-
+  SetConfigValue(showDistance, false);
 }
 
@@ -78,5 +79,4 @@
     setTextSize ( 0.05f );
     setNavMarkerSize ( 0.05f );
-    setDetectionLimit( 10000.0f );
 }
 
@@ -97,8 +97,7 @@
     SUPER ( HUDNavigation, XMLPort, xmlelement, mode );
 
-    XMLPortParam ( HUDNavigation, "font",           setFont,           getFont,           xmlelement, mode );
-    XMLPortParam ( HUDNavigation, "textSize",       setTextSize,       getTextSize,       xmlelement, mode );
-    XMLPortParam ( HUDNavigation, "navMarkerSize",  setNavMarkerSize,  getNavMarkerSize,  xmlelement, mode );
-    XMLPortParam ( HUDNavigation, "detectionLimit", setDetectionLimit, getDetectionLimit, xmlelement, mode );
+    XMLPortParam ( HUDNavigation, "font",          setFont,          getFont,          xmlelement, mode );
+    XMLPortParam ( HUDNavigation, "textSize",      setTextSize,      getTextSize,      xmlelement, mode );
+    XMLPortParam ( HUDNavigation, "navMarkerSize", setNavMarkerSize, getNavMarkerSize, xmlelement, mode );
 }
 
@@ -144,5 +143,17 @@
 }
 
-
+float HUDNavigation::getArrowSizeX(int dist)
+{    
+    if (dist < 600) 
+        dist = 600;
+    return this->getActualSize().x * 900 * navMarkerSize_ / dist;
+}
+
+float HUDNavigation::getArrowSizeY(int dist)
+{    
+    if (dist < 600)
+        dist = 600;   
+    return this->getActualSize().y * 900 * navMarkerSize_ / dist;
+}
 
 void HUDNavigation::tick ( float dt )
@@ -164,11 +175,11 @@
 
     unsigned int markerCount_ = 0;
-    bool closeEnough_ = false; //only display objects that are close enough to be relevant for the player
+
 //         for (ObjectMap::iterator it = activeObjectList_.begin(); it != activeObjectList_.end(); ++it)
     for ( sortedList::iterator listIt = sortedObjectList_.begin(); listIt != sortedObjectList_.end(); ++markerCount_, ++listIt )
     {
         ObjectMap::iterator it = activeObjectList_.find ( listIt->first );
-        closeEnough_ = listIt->second < detectionLimit_ ;
-        if ( markerCount_ < markerLimit_ && (closeEnough_ ||  detectionLimit_ < 0) ) // display on HUD if the statement is true
+
+        if ( markerCount_ < markerLimit_ )
         {
 
@@ -176,6 +187,17 @@
             // Get Distance to HumanController and save it in the TextAreaOverlayElement.
             int dist = listIt->second;
+            float textLength = 0.0f;
+
+            //display distance next to cursor
+            if (showDistance){
             it->second.text_->setCaption ( multi_cast<std::string> ( dist ) );
-            float textLength = multi_cast<std::string> ( dist ).size() * it->second.text_->getCharHeight() * 0.3f;
+            textLength = multi_cast<std::string> ( dist ).size() * it->second.text_->getCharHeight() * 0.3f;
+            }
+
+            //display name next to cursor
+            else{
+            it->second.text_->setCaption(it->first->getRVName()); 
+            textLength = it->first->getRVName().size() * it->second.text_->getCharHeight() * 0.3f;
+            }
 
             // Transform to screen coordinates
@@ -194,6 +216,4 @@
             else
                 outOfView = pos.x < -1.0 || pos.x > 1.0 || pos.y < -1.0 || pos.y > 1.0;
-            // Get Distance to HumanController and save it in the TextAreaOverlayElement.
-            it->second.text_->setCaption ( multi_cast<std::string> ( dist ) );
 
             if ( outOfView )
@@ -207,4 +227,10 @@
                     it->second.wasOutOfView_ = true;
                 }
+
+                //float xDistScale = this->getActualSize().x * 1000.0f * navMarkerSize_ / dist;
+                //float yDistScale = this->getActualSize().y * 1000.0f * navMarkerSize_ / dist;
+
+                // Adjust Arrowsize according to distance
+                it->second.panel_->setDimensions(getArrowSizeX(dist),getArrowSizeY(dist));
 
                 // Switch between top, bottom, left and right position of the arrow at the screen border
@@ -263,4 +289,5 @@
                   //it->second.panel_->setMaterialName ( "Orxonox/NavTDC" );
                     it->second.panel_->setMaterialName( TextureGenerator::getMaterialName( "tdc.png", it->first->getRadarObjectColour()) );
+                    it->second.panel_->setDimensions ( navMarkerSize_ * this->getActualSize().x, navMarkerSize_ * this->getActualSize().y );
                     it->second.wasOutOfView_ = false;
                 }
@@ -280,5 +307,5 @@
             it->second.text_->show();
         }
-        else // do not display on HUD
+        else
         {
             it->second.panel_->hide();
@@ -312,5 +339,5 @@
 void HUDNavigation::addObject ( RadarViewable* object )
 {
-    if( showObject(object) == false )
+    if( showObject(object)==false )
         return;
 
@@ -399,5 +426,5 @@
         return false;
     assert( rv->getWorldEntity() );
-    if ( rv->getWorldEntity()->isVisible() == false || rv->getRadarVisibility() == false )
+    if ( rv->getWorldEntity()->isVisible()==false || rv->getRadarVisibility()==false )
         return false;
     return true;
Index: code/branches/presentation2011/src/modules/overlays/hud/HUDNavigation.h
===================================================================
--- code/branches/presentation2011/src/modules/overlays/hud/HUDNavigation.h	(revision 8987)
+++ code/branches/presentation2011/src/modules/overlays/hud/HUDNavigation.h	(revision 8988)
@@ -24,4 +24,5 @@
  *   Co-authors:
  *      Reto Grieder
+ *      Matthias Spalinger
  *
  */
@@ -54,4 +55,5 @@
     virtual void tick ( float dt );
 
+    // RadarListener interface
     virtual void addObject ( RadarViewable* object );
     virtual void removeObject ( RadarViewable* viewable );
@@ -66,4 +68,6 @@
     inline float getRadarSensitivity() const
     { return 1.0f; }
+
+    unsigned int getMarkerLimit() { return this->markerLimit_; }
 
 private:
@@ -85,8 +89,4 @@
     { return navMarkerSize_; }
 
-    void setDetectionLimit( float limit )
-    { this->detectionLimit_ = limit; }
-    float getDetectionLimit() const
-    { return this->detectionLimit_; }
 
     void setTextSize ( float size );
@@ -102,12 +102,15 @@
     sortedList sortedObjectList_;
 
+    float getArrowSizeX(int dist);    
+    float getArrowSizeY(int dist);
 
     float navMarkerSize_;
     std::string fontName_;
     float textSize_;
+    bool showDistance;
 
-    unsigned int markerLimit_; //TODO: is it possible to set this over the console and/or the IG-Setting
-    float detectionLimit_; //!< Objects that are more far away than detectionLimit_ are not displayed on the HUD. 10000.0f is the default value.
-                           //!< In order to bypass this behaviour, set a negative detectionLimit_. Then the detection range is "infinite".
+    unsigned int markerLimit_;;
+
+
 };
 }
Index: code/branches/presentation2011/src/orxonox/controllers/NewHumanController.h
===================================================================
--- code/branches/presentation2011/src/orxonox/controllers/NewHumanController.h	(revision 8987)
+++ code/branches/presentation2011/src/orxonox/controllers/NewHumanController.h	(revision 8988)
@@ -69,4 +69,7 @@
             virtual void doResumeControl();
 
+            float getCurrentYaw(){ return this->currentYaw_; }
+            float getCurrentPitch(){ return this->currentPitch_; }
+
 
         protected:
Index: code/branches/presentation2011/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- code/branches/presentation2011/src/orxonox/infos/PlayerInfo.cc	(revision 8987)
+++ code/branches/presentation2011/src/orxonox/infos/PlayerInfo.cc	(revision 8988)
@@ -36,4 +36,5 @@
 #include "worldentities/ControllableEntity.h"
 #include "controllers/Controller.h"
+#include "worldentities/pawns/SpaceShip.h"
 
 namespace orxonox
@@ -170,4 +171,9 @@
 
         this->changedControllableEntity();
+		SpaceShip* spaceship = dynamic_cast<SpaceShip*>(entity);
+        if (spaceship != NULL)
+        {
+            spaceship->setRVName(this->getName());
+        }
     }
 
Index: code/branches/presentation2011/src/orxonox/interfaces/RadarViewable.cc
===================================================================
--- code/branches/presentation2011/src/orxonox/interfaces/RadarViewable.cc	(revision 8987)
+++ code/branches/presentation2011/src/orxonox/interfaces/RadarViewable.cc	(revision 8988)
@@ -51,4 +51,5 @@
         , radarObjectDescription_("staticObject")
         , scale_(1.0f)
+		, RVName("")
     {
         RegisterRootObject(RadarViewable);
Index: code/branches/presentation2011/src/orxonox/interfaces/RadarViewable.h
===================================================================
--- code/branches/presentation2011/src/orxonox/interfaces/RadarViewable.h	(revision 8987)
+++ code/branches/presentation2011/src/orxonox/interfaces/RadarViewable.h	(revision 8988)
@@ -60,4 +60,15 @@
         RadarViewable(BaseObject* creator, const WorldEntity* wePtr);
         virtual ~RadarViewable();
+
+		virtual void setRVName(std::string name)
+			{
+				if (this->RVName != name)
+				{
+					this->RVName = name;
+					this->settingsChanged();
+				}
+			}
+		std::string getRVName() const
+			{ return this->RVName; }
 
         inline void setRadarObjectCamouflage(float camouflage)
@@ -152,4 +163,5 @@
         ColourValue radarObjectColour_;
         float scale_;
+		std::string RVName;
     };
 }
Index: code/branches/presentation2011/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/presentation2011/src/orxonox/worldentities/pawns/Pawn.cc	(revision 8987)
+++ code/branches/presentation2011/src/orxonox/worldentities/pawns/Pawn.cc	(revision 8988)
@@ -129,6 +129,6 @@
         XMLPortParam(Pawn, "reloadrate", setReloadRate, getReloadRate, xmlelement, mode).defaultValues(0);
         XMLPortParam(Pawn, "reloadwaittime", setReloadWaitTime, getReloadWaitTime, xmlelement, mode).defaultValues(1.0f);
-
-
+   
+        XMLPortParam ( RadarViewable, "RVName", setRVName, getRVName, xmlelement, mode );
     }
 