Index: /code/branches/formation/src/orxonox/controllers/AIController.cc
===================================================================
--- /code/branches/formation/src/orxonox/controllers/AIController.cc	(revision 8990)
+++ /code/branches/formation/src/orxonox/controllers/AIController.cc	(revision 8991)
@@ -78,5 +78,5 @@
         }
 
-        if (this->state_ == SLAVE && this->mode_ == ATTACK) //TODO: add botlevel parameter
+        if (this->state_ == SLAVE && this->formationMode_ == ATTACK) //TODO: add botlevel parameter
         {
             // search enemy
@@ -151,6 +151,6 @@
         float maxrand = 100.0f / ACTION_INTERVAL;
         ControllableEntity* controllable = this->getControllableEntity();
-
-        if (controllable && this->mode_ == NORMAL)// bot is ready to move to a target // mode was DEFAULT in original implementation!
+        //DOES: Either move to the waypoint or search for a Point of interest
+        if (controllable && this->mode_ == DEFAULT)// bot is ready to move to a target
         {
             if (this->waypoints_.size() > 0 ) //Waypoint functionality.
@@ -174,5 +174,5 @@
         }
 
-        if (this->mode_ != ROCKET)
+        if (this->mode_ == DEFAULT)
         {
             if (this->state_ == MASTER)
@@ -207,5 +207,5 @@
             }
 
-            if (this->state_ == SLAVE && this->mode_!=ATTACK)
+            if (this->state_ == SLAVE && this->formationMode_ != ATTACK)
             {
                 if (this->bHasTargetPosition_)
@@ -213,5 +213,5 @@
             }
 
-            if (this->state_ == FREE || (this->state_==SLAVE && this->mode_==ATTACK) )
+            if (this->state_ == FREE || (this->state_==SLAVE && this->formationMode_ == ATTACK) )
             {
                 if (this->target_)
Index: /code/branches/formation/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- /code/branches/formation/src/orxonox/controllers/ArtificialController.cc	(revision 8990)
+++ /code/branches/formation/src/orxonox/controllers/ArtificialController.cc	(revision 8991)
@@ -50,4 +50,5 @@
         this->setAccuracy(5);
         this->defaultWaypoint_ = NULL;
+        this->mode_ = DEFAULT;//Vector-implementation: mode_.push_back(DEFAULT);
     }
 
@@ -197,5 +198,5 @@
     void ArtificialController::setPreviousMode()
     {
-        this->mode_ = NORMAL; //Vector-implementation: mode_.pop_back();
+        this->mode_ = DEFAULT; //Vector-implementation: mode_.pop_back();
     }
 
Index: /code/branches/formation/src/orxonox/controllers/ArtificialController.h
===================================================================
--- /code/branches/formation/src/orxonox/controllers/ArtificialController.h	(revision 8990)
+++ /code/branches/formation/src/orxonox/controllers/ArtificialController.h	(revision 8991)
@@ -71,4 +71,6 @@
 //************************************************************************* NEW 
             float botlevel_; //<! Makes the level of a bot configurable.
+            enum Mode {DEFAULT, ROCKET, DEFENCE, MOVING};//TODO; implement DEFENCE, MOVING modes
+            Mode mode_; //TODO: replace single value with stack-like implementation: std::vector<Mode> mode_;
             void setPreviousMode();
 
Index: /code/branches/formation/src/orxonox/controllers/FormationController.cc
===================================================================
--- /code/branches/formation/src/orxonox/controllers/FormationController.cc	(revision 8990)
+++ /code/branches/formation/src/orxonox/controllers/FormationController.cc	(revision 8991)
@@ -81,5 +81,5 @@
 
         this->state_ = FREE;
-        this->mode_ = NORMAL;
+        this->formationMode_ = NORMAL;
         this->specificMasterAction_ = NONE;
         this->specificMasterActionHoldCount_  = 0;
@@ -652,13 +652,13 @@
       @brief Sets the new mode. If master, set it for all slaves.
     */
-    void FormationController::setMode(Mode val)
-    {
-        this->mode_=val;
-        if (this->state_==MASTER)
+    void FormationController::setFormationMode(FormationMode val)
+    {
+        this->formationMode_ = val;
+        if (this->state_ == MASTER)
         {
             for(std::vector<FormationController*>::iterator it = slaves_.begin(); it != slaves_.end(); it++)
             {
-                 (*it)->mode_=val;
-                 if (val==ATTACK)
+                 (*it)->formationMode_ = val;
+                 if (val == ATTACK)
                      (*it)->forgetTarget();
             }
Index: /code/branches/formation/src/orxonox/controllers/FormationController.h
===================================================================
--- /code/branches/formation/src/orxonox/controllers/FormationController.h	(revision 8990)
+++ /code/branches/formation/src/orxonox/controllers/FormationController.h	(revision 8991)
@@ -88,12 +88,12 @@
                Attack-leave formation, attack every target
       */ 
-      enum Mode {NORMAL,DEFEND,ATTACK,ROCKET};
+      enum FormationMode {NORMAL,DEFEND,ATTACK};
       
       /**
         @brief Sets the new mode. If master, set it for all slaves.
       */
-      void setMode(Mode val);
-      inline Mode getMode() const
-           { return this->mode_; }
+      void setFormationMode(FormationMode val);
+      inline FormationMode getFormationMode() const
+           { return this->formationMode_; }
 
     protected:
@@ -109,5 +109,5 @@
       FormationController* myMaster_;
 
-      Mode mode_;
+      FormationMode formationMode_;
 
       enum SpecificMasterAction {NONE, HOLD, SPIN, TURN180, FOLLOW};
Index: /code/branches/formation/src/orxonox/controllers/HumanController.cc
===================================================================
--- /code/branches/formation/src/orxonox/controllers/HumanController.cc	(revision 8990)
+++ /code/branches/formation/src/orxonox/controllers/HumanController.cc	(revision 8991)
@@ -106,5 +106,5 @@
         if (HumanController::localController_s && HumanController::localController_s->state_==MASTER)
         {
-            if (HumanController::localController_s->mode_!=ATTACK)
+            if (HumanController::localController_s->formationMode_ != ATTACK)
                 HumanController::localController_s->commandSlaves();
         }
@@ -177,5 +177,5 @@
             HumanController::localController_s->controllableEntity_->fire(firemode);
             //if human fires, set slaves free. See FormationController::forceFreeSlaves()
-            if (HumanController::localController_s->state_==MASTER && HumanController::localController_s->mode_==NORMAL)
+            if (HumanController::localController_s->state_==MASTER && HumanController::localController_s->formationMode_ == NORMAL)
             {
                 HumanController::localController_s->forceFreeSlaves();
@@ -317,19 +317,17 @@
         if (HumanController::localController_s && HumanController::localController_s->state_==MASTER)
         {
-            switch (HumanController::localController_s->getMode()) {
+            switch (HumanController::localController_s->getFormationMode()) {
                 case NORMAL:
-                    HumanController::localController_s->setMode(DEFEND);
+                    HumanController::localController_s->setFormationMode(DEFEND);
                     orxout(message) <<"Mode: DEFEND "<< endl;
                     break;
                 case DEFEND:
-                    HumanController::localController_s->setMode(ATTACK);
+                    HumanController::localController_s->setFormationMode(ATTACK);
                     orxout(message) <<"Mode: ATTACK "<< endl;
                     break;
                 case ATTACK:
-                    HumanController::localController_s->setMode(NORMAL);
+                    HumanController::localController_s->setFormationMode(NORMAL);
                     orxout(message) <<"Mode: NORMAL "<< endl;
                     break;
-                default: //catch all non-formation related states
-                    break;
             }
         }
@@ -340,5 +338,5 @@
     void HumanController::hit(Pawn* originator, btManifoldPoint& contactpoint, float damage)
     {
-        if (!this->formationFlight_ || this->state_!=MASTER || this->mode_!=DEFEND) return;
+        if (!this->formationFlight_ || this->state_!=MASTER || this->formationMode_!=DEFEND) return;
             this->masterAttacked(originator);
     }