Index: code/branches/presentation2011/data/levels/lastTeamStandingII.oxw
===================================================================
--- code/branches/presentation2011/data/levels/lastTeamStandingII.oxw	(revision 8995)
+++ code/branches/presentation2011/data/levels/lastTeamStandingII.oxw	(revision 8996)
@@ -1,5 +1,5 @@
 <LevelInfo
- name = "On the fly"
- description = "Survive as a team."
+ name = "Last Team Standing II"
+ description = "Last Team Standing in an abstract level."
  screenshot = "onthefly.png"
  tags = "gametype"
@@ -16,6 +16,4 @@
 
 <Level
- name         = "On the fly"
- description  = "testmap for gametype last team standing"
  gametype     = "LastTeamStanding"
 >
Index: code/branches/presentation2011/data/levels/missionOne.oxw
===================================================================
--- code/branches/presentation2011/data/levels/missionOne.oxw	(revision 8995)
+++ code/branches/presentation2011/data/levels/missionOne.oxw	(revision 8996)
@@ -21,6 +21,4 @@
 
 <Level
- name         = "Mission One"
- description  = "How to steer a spaceship."
  gametype     = "Mission"
 >
Index: code/branches/presentation2011/src/libraries/core/GUIManager.cc
===================================================================
--- code/branches/presentation2011/src/libraries/core/GUIManager.cc	(revision 8995)
+++ code/branches/presentation2011/src/libraries/core/GUIManager.cc	(revision 8996)
@@ -223,5 +223,5 @@
 
     GUIManager* GUIManager::singletonPtr_s = 0;
-    /*static*/ const std::string GUIManager::defaultScheme_ = "Orxonox"; //TaharezGreen
+    /*static*/ const std::string GUIManager::defaultScheme_ = "TaharezGreen"; //Alternative: Orxonox (not fully complete yet, see the graphics menu)
 
     SetConsoleCommand("showGUI", &GUIManager::showGUI).defaultValue(1, false).defaultValue(2, false);
Index: code/branches/presentation2011/src/orxonox/controllers/FormationController.cc
===================================================================
--- code/branches/presentation2011/src/orxonox/controllers/FormationController.cc	(revision 8995)
+++ code/branches/presentation2011/src/orxonox/controllers/FormationController.cc	(revision 8996)
@@ -129,4 +129,5 @@
         SUPER(FormationController, XMLPort, xmlelement, mode);
 
+        XMLPortParam(FormationController, "team", setTeam, getTeam, xmlelement, mode).defaultValues(-1);
         XMLPortParam(FormationController, "formationFlight", setFormationFlight, getFormationFlight, xmlelement, mode).defaultValues(false);
         XMLPortParam(FormationController, "formationSize", setFormationSize, getFormationSize, xmlelement, mode).defaultValues(STANDARD_MAX_FORMATION_SIZE);
Index: code/branches/presentation2011/src/orxonox/gametypes/TeamGametype.cc
===================================================================
--- code/branches/presentation2011/src/orxonox/gametypes/TeamGametype.cc	(revision 8995)
+++ code/branches/presentation2011/src/orxonox/gametypes/TeamGametype.cc	(revision 8996)
@@ -49,5 +49,5 @@
         this->allowFriendlyFire_ = false;
         //this->playersPerTeam_ = 0;
-        this->maxPlayers_ = 2; //TEST
+        this->maxPlayers_ = 0; //Value "0": no limit is set.
         this->setConfigValues();
     }
@@ -75,6 +75,6 @@
     void TeamGametype::playerEntered(PlayerInfo* player)
     {
+        if(player == NULL) return; // catch null pointers
         Gametype::playerEntered(player);
-        if(player == NULL) return;
         this->findAndSetTeam(player);
         if( this->players_.size() <= maxPlayers_ || maxPlayers_  ==  0)
@@ -91,5 +91,6 @@
     void TeamGametype::findAndSetTeam(PlayerInfo* player)
     {
-         std::vector<unsigned int> playersperteam(this->teams_, 0);
+        if(player == NULL) return; // catch null pointers
+        std::vector<unsigned int> playersperteam(this->teams_, 0);
 
         for (std::map<PlayerInfo*, int>::iterator it = this->teamnumbers_.begin(); it != this->teamnumbers_.end(); ++it)
@@ -121,6 +122,6 @@
                  if(it->second == false) // waiting player found
                  {it->second = true; break;} // allow player to enter
-			}
-		}
+            }
+        }
 
         if (valid_player)
@@ -140,5 +141,5 @@
             if(allowedInGame_[it->first] == false)//check if dead player is allowed to enter
             {
-				continue;
+                continue;
             }
             if (it->second.state_ == PlayerState::Dead)